1 Reply Latest reply: Nov 19, 2008 10:10 AM by klaus2 RSS

    ORA-06502 when installing ILM (ilma_app_013.zip)

    Plopes-Oracle
      Hi,
      I'm currently having some troubles to install ILM Assistant 1.3 on an 11.1.0.6 Database running on windows.

      <blockquote>
           SQL&gt; @ilma_install oracle123 ILM_ASSISTANT orcl
           
           *******************************************************************
           ILM Assistant Installation Procedure
           *******************************************************************
           
           Checking the versions of Oracle and Oracle Application Express ...
           Procedimento de PL/SQL conclu&Yacute;do com &Ucirc;xito.
           
           Procedimento de PL/SQL conclu&Yacute;do com &Ucirc;xito.
           
           Procedimento de PL/SQL conclu&Yacute;do com &Ucirc;xito.
           
           DECLARE
           *
           ERRO na linha 1:
           <strong>
           ORA-06502:</strong> PL/SQL: erro num&Uacute;rico ou de valor : erro de convers&Ograve;o de n&middot;mero em
           car&szlig;cter
           ORA-06512: na linha 16
      </blockquote>
      <p>

      After looking at ilma_install.sql script I found out that it is related to the line :
      </p>
      <blockquote>
           <strong>l_minor := substr(l_buf,1,instr(l_buf,'.'));
           
           </strong>
      </blockquote>
      If I change the dot to a comma it will work, and the install process will finish.
      But when I run the post install it gives the same error

      <blockquote>
           SQL&gt; @ilma_post_install
           ILM Assistant - building required cache - this could take several hours
           begin
           *
           ERRO na linha 1:
           <strong>ORA-06502</strong>: PL/SQL: erro num&Uacute;rico ou de valor : erro de convers&Ograve;o de n&middot;mero em
           car&szlig;cter
           ORA-06512: na "ILM_TOOLKIT.ILM_TOOLKIT", linha 15283
           ORA-06512: na "ILM_TOOLKIT.ILM_TOOLKIT", linha 15315
           ORA-06512: na "ILM_TOOLKIT.ILM_TOOLKIT", linha 103
           ORA-06512: na linha 2
           
      </blockquote>
      And that I can't change, since the package is wrapped.

      I know this is a language settings problem... any advice on what settings I should choose in order to overcome this ?

      Thanks in advance,
      pedro



      <blockquote>
      </blockquote>
        • 1. Re: ORA-06502 when installing ILM (ilma_app_013.zip)
          klaus2
          Hello Pedro

          I had the same problem.

          It had to do with a kind of sloppy evaluation of major/minor version of oracle (interfering with nls_decimal_characters).

          My workaround was to set the nls characteristics to American


          SQL> alter session set nls_language = american;
          Session altered.

          SQL> alter session set nls_territory = america;
          Session altered.

          Or you can set NLS_LANG environment variable.


          Regards
          Klaus